<?php
namespace Ak\Wp\Test;

use Ak\Test\AbstractTestCase as BaseAbstractTestCase;

/**
 * Osnovna klasa za WordPress testove.
 *
 * @package Ak\Wp\Test
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
abstract class AbstractTestCase extends BaseAbstractTestCase
{
    use WpTestTrait;

    protected $installScripts = [];

    /**
     * Klasični WordPress pluginovi koje koristimo tijekom testa.
     *
     * @var array
     */
    protected $wpPlugins = [];

    /**
     * Reset testa.
     */
    protected function setUp()
    {
        parent::setUp();

        include __DIR__ . '/wordpress/wp-server.php';

        $_GET = [];
        $_POST = [];
    }
}