<?php
$projectPath = __DIR__;

while (!is_dir($projectPath . '/vendor')) {
    $projectPath = dirname($projectPath);
}

/** @noinspection PhpIncludeInspection */
require_once $projectPath . '/vendor/autoload.php';

if (!defined('ABSPATH')) {
    define('ABSPATH', $projectPath . '/wordpress/');
}

define('DB_USER', getenv('DB_USER'));
define('DB_PASSWORD', getenv('DB_PASSWORD'));
define('DB_NAME', getenv('DB_NAME'));
define('DB_HOST', getenv('DB_HOST'));
define('DB_CHARSET', 'utf8mb4');
define('DB_COLLATE', 'utf8mb4_general_ci');

$table_prefix = 'wp_';

define('WP_DEBUG', true);
define('WP_CONTENT_DIR', $projectPath . '/wp-content');
define('WP_PLUGIN_DIR', WP_CONTENT_DIR . '/plugins');

define('WP_DEFAULT_THEME', 'flatsome');