<?php
define('WP_INSTALLING', true);
require_once __DIR__ . '/wp-config.php';
require __DIR__ . '/wp-server.php';

/**
 * Više ne šaljemo mail da je instaliran novi WordPress, znamo.
 */
function wp_new_blog_notification()
{ }

$PHP_SELF = $GLOBALS['PHP_SELF'] = $_SERVER['PHP_SELF'] = '/index.php';
define('WP_TEST_NO_PLUGINS', true);
require_once __DIR__ . '/wp-settings.php';
require_once ABSPATH . '/wp-admin/includes/upgrade.php';

$wpdb->select(DB_NAME, $wpdb->__get('dbh'));
echo 'Installing...' . PHP_EOL;

$wpdb->query('SET foreign_key_checks = 0');
foreach ($wpdb->tables() as $table => $prefixed_table) {
    /** @noinspection SqlNoDataSourceInspection */
    $wpdb->query("DROP TABLE IF EXISTS {$prefixed_table}");
}
$wpdb->query('SET foreign_key_checks = 1');

require_once ABSPATH . 'wp-admin/includes/file.php';
require_once ABSPATH . 'wp-admin/includes/translation-install.php';

wp_download_language_pack('hr');
wp_install('Test', 'admin', 'danijel@ep.hr', true, null, 'password', 'hr');

update_option('permalink_structure', '/%postname%/');
flush_rewrite_rules();

$installScripts = array_filter(explode('|', $argv[1] ?? ''));

foreach ($installScripts as $installScript) {
    if (file_exists($installScript)) {
        /** @noinspection PhpIncludeInspection */
        require_once $installScript;
    }
}
